import { type I18n, type I18nOptions, Composer } from 'vue-i18n';
export interface HsmI18nOptions {
    langKey?: string;
    defaultLang?: string;
    resourceUrl?: string;
}
export interface LangList {
    name: string;
    fileName: string;
    isLoaded?: boolean;
    [key: string]: any;
}
export declare class HsmI18n {
    private _i18n;
    private _langKey;
    private _lang;
    private _defaultLang;
    private _resourceUrl;
    private _langs;
    private _isLoadedLang;
    constructor(options?: HsmI18nOptions, i18nOptions?: I18nOptions);
    init(): Promise<void>;
    setLang(val: string): Promise<void>;
    get i18n(): I18n<{}, {}, {}, string, boolean>;
    get global(): Composer;
    get lang(): string;
    get langs(): LangList[];
    get isLoaded(): boolean;
    private _loadLangs;
    private _loadLang;
}
export default HsmI18n;
